<?php
require_once("../../config/config_dir_raiz.php");
$config = new Config();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_grupo_permissaoDAO.php");
$bi_grupo_permissaoDAO = new Bi_grupo_permissaoDAO();
$retorno = array();
if (isset($_GET["mod"]) && $_GET["mod"] == "form")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_grupo_permissao = $bi_grupo_permissaoDAO->buscarBi_grupo_permissao($_GET["codigo"]);
	}else{
		$bi_grupo_permissao = new Bi_grupo_permissao();
	}
	include_once($config->diretorio_raiz()."/src/view/bi_grupo_permissao/Formulario.php");
}
elseif (isset($_GET["mod"]) && ($_GET["mod"] == "salvar" or $_GET["mod"] == "alterar"))
{
	$bi_grupo_permissao = new Bi_grupo_permissao();
	$bi_grupo_permissao->setCodigo($_POST['codigo']);
	$bi_grupo_permissao->setNome($_POST['nome']);
	$codigo = "";
	if ($_GET["mod"] == "alterar")
	{
		$bi_grupo_permissao->setCodigo($_POST['codigo']);
		$codigo = $bi_grupo_permissao->getCodigo();
		try
		{
			$retorno["mensagem"] = "Alterado com sucesso!";
			$retorno["status"] = true;
			$bi_grupo_permissaoDAO->atualizar($bi_grupo_permissao);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	else
	{
		try
		{
			$retorno["mensagem"] = "Inserido com sucesso!";
			$retorno["status"] = true;
			$codigo = $bi_grupo_permissaoDAO->salvar($bi_grupo_permissao);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "excluir")
{
	try
	{
		$bi_grupo_permissao = $bi_grupo_permissaoDAO->buscarBi_grupo_permissao($_GET["codigo"]);
		$bi_grupo_permissaoDAO->excluir($bi_grupo_permissao);
		$retorno["mensagem"] = utf8_decode("Excluido com sucesso!");
		$retorno["status"] = true;
	}
	catch (Exception  $e)
	{
		$retorno["mensagem"] = $e->getMessage();
		$retorno["status"] = false;
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "listar")
{
	$listaBi_grupo_permissao = $bi_grupo_permissaoDAO->listarTodosRegistros();
	include_once($config->diretorio_raiz()."/src/view/bi_grupo_permissao/Listar_todos_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "filtro")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_grupo_permissao = $bi_grupo_permissaoDAO->buscarBi_grupo_permissao($_GET["codigo"]);
	}else{
		$bi_grupo_permissao = new Bi_grupo_permissao();
	}
	include_once($config->diretorio_raiz()."/src/view/bi_grupo_permissao/Filtro_lista_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "busca_por_campo_filtro")
{
	$entrouEmAlgumFiltro = false;
 	$where = " where 1=1";
	if(isset($_GET['codigo']) and $_GET["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_GET['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_GET["codigo"]; 
	}
	if(isset($_POST['codigo']) and $_POST["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_POST['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_POST["codigo"]; 
	}
	if(isset($_GET['nome']) and $_GET["nome"] != "" )
	{
		$where .= " and UPPER(nome) like '%".strtoupper($_GET['nome'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&nome=".$_GET["nome"]; 
	}
	if(isset($_POST['nome']) and $_POST["nome"] != "" )
	{
		$where .= " and UPPER(nome) like '%".strtoupper($_POST['nome'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&nome=".$_POST["nome"]; 
	}
	$listaBi_grupo_permissao = $bi_grupo_permissaoDAO->buscarFiltro($where);
	include_once($config->diretorio_raiz()."/src/view/bi_grupo_permissao/Listar_todos_registros.php");
}
